<?php
class BaseModel
{
    protected $db;
    protected $table;
    protected $primaryKey = 'id';
    public function __construct()
    {
        try {
            $this->db = new PDO("mysql:dbname=idepazh;host=localhost", 'root', '');
            //  ok for test connect page
            // echo "ok";
        } catch (PDOException $e) {
            die('Connection failed: ' . $e->getMessage());
        }
    }

    //getStudent
    public function getStudent()
    {
        $sql = "select * from {$this->table}";
        $stmt = $this->db->prepare($sql);
        $stmt->execute();
        return $stmt->fetchAll(PDO::FETCH_OBJ);

    }

//deleteStudent

    public function deleteStudent($id)
    {
        $sql = "delete from {$this->table} where {$this->primaryKey} = :id";
        $stmt = $this->db->prepare($sql);
        $stmt->execute([':id' => $id]);
        return $stmt->rowCount();

    }

//create student )(addStudent)

    public function addStudent($name, $family, $phone, $corse)
    {
        $sql = "INSERT INTO  student (name,family,phone, corse) VALUES (?,?,?,?)";
        $stmt = $this->db->prepare($sql);
        $stmt->execute([$name, $family, $phone, $corse]);
        return $stmt->rowCount();
    }

    // public function getUser($id)
    // {
    //     $sql = "select * from {$this->table} where {$this->primaryKey} = :id";
    //     $stmt = $this->db->prepare($sql);
    //     $stmt->execute([':id' => $id]);
    //     return $stmt->fetch(PDO::FETCH_OBJ);

    // }

    // function getFolders(){
    //     global $pdo;
    //     $current_user_id = getCurrentUserId();
    //     $sql = "select * from folders where user_id = $current_user_id";
    //     $stmt = $pdo->prepare($sql);
    //     $stmt->execute();
    //     $records = $stmt->fetchAll(PDO::FETCH_OBJ);
    //     return $records;
    // }

    //READ USER

    // END READ USER

// delete user

    // public function delete($id)
    // {
    //     $sql = "delete from {$this->table} where {$this->primaryKey} = :id";
    //     $stmt = $this->db->prepare($sql);
    //     $stmt->execute([':id' => $id]);
    //     return $stmt->rowCount();

    // }
    ## End class users
}

// $student = new student();
// var_dump($student->find(1)) ;
